Ruby: stringpool_t Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Data Fields
stringpool_t Struct Reference

## Data Fields
char | stringpool_str8 [sizeof("break")]
char | stringpool_str9 [sizeof("else")]
char | stringpool_str10 [sizeof("nil")]
char | stringpool_str11 [sizeof("ensure")]
char | stringpool_str12 [sizeof("end")]
char | stringpool_str13 [sizeof("then")]
char | stringpool_str14 [sizeof("not")]
char | stringpool_str15 [sizeof("false")]
char | stringpool_str16 [sizeof("self")]
char | stringpool_str17 [sizeof("elsif")]
char | stringpool_str18 [sizeof("rescue")]
char | stringpool_str19 [sizeof("true")]
char | stringpool_str20 [sizeof("until")]
char | stringpool_str21 [sizeof("unless")]
char | stringpool_str22 [sizeof("return")]
char | stringpool_str23 [sizeof("def")]
char | stringpool_str24 [sizeof("and")]
char | stringpool_str25 [sizeof("do")]
char | stringpool_str26 [sizeof("yield")]
char | stringpool_str27 [sizeof("for")]
char | stringpool_str28 [sizeof("undef")]
char | stringpool_str29 [sizeof("or")]
char | stringpool_str30 [sizeof("in")]
char | stringpool_str31 [sizeof("when")]
char | stringpool_str32 [sizeof("retry")]
char | stringpool_str33 [sizeof("if")]
char | stringpool_str34 [sizeof("case")]
char | stringpool_str35 [sizeof("redo")]
char | stringpool_str36 [sizeof("next")]
char | stringpool_str37 [sizeof("super")]
char | stringpool_str38 [sizeof("module")]
char | stringpool_str39 [sizeof("begin")]
char | stringpool_str40 [sizeof("__LINE__")]
char | stringpool_str41 [sizeof("__FILE__")]
char | stringpool_str42 [sizeof("__ENCODING__")]
char | stringpool_str43 [sizeof("END")]
char | stringpool_str44 [sizeof("alias")]
char | stringpool_str45 [sizeof("BEGIN")]
char | stringpool_str46 [sizeof("defined?")]
char | stringpool_str47 [sizeof("class")]
char | stringpool_str50 [sizeof("while")]

## Detailed Description

Definition at line 103 of file lex.c.

## Field Documentation

## ◆ stringpool_str10

char stringpool_t::stringpool_str10[sizeof("nil")]

Definition at line 107 of file lex.c.

## ◆ stringpool_str11

char stringpool_t::stringpool_str11[sizeof("ensure")]

Definition at line 108 of file lex.c.

## ◆ stringpool_str12

char stringpool_t::stringpool_str12[sizeof("end")]

Definition at line 109 of file lex.c.

## ◆ stringpool_str13

char stringpool_t::stringpool_str13[sizeof("then")]

Definition at line 110 of file lex.c.

## ◆ stringpool_str14

char stringpool_t::stringpool_str14[sizeof("not")]

Definition at line 111 of file lex.c.

## ◆ stringpool_str15

char stringpool_t::stringpool_str15[sizeof("false")]

Definition at line 112 of file lex.c.

## ◆ stringpool_str16

char stringpool_t::stringpool_str16[sizeof("self")]

Definition at line 113 of file lex.c.

## ◆ stringpool_str17

char stringpool_t::stringpool_str17[sizeof("elsif")]

Definition at line 114 of file lex.c.

## ◆ stringpool_str18

char stringpool_t::stringpool_str18[sizeof("rescue")]

Definition at line 115 of file lex.c.

## ◆ stringpool_str19

char stringpool_t::stringpool_str19[sizeof("true")]

Definition at line 116 of file lex.c.

## ◆ stringpool_str20

char stringpool_t::stringpool_str20[sizeof("until")]

Definition at line 117 of file lex.c.

## ◆ stringpool_str21

char stringpool_t::stringpool_str21[sizeof("unless")]

Definition at line 118 of file lex.c.

## ◆ stringpool_str22

char stringpool_t::stringpool_str22[sizeof("return")]

Definition at line 119 of file lex.c.

## ◆ stringpool_str23

char stringpool_t::stringpool_str23[sizeof("def")]

Definition at line 120 of file lex.c.

## ◆ stringpool_str24

char stringpool_t::stringpool_str24[sizeof("and")]

Definition at line 121 of file lex.c.

## ◆ stringpool_str25

char stringpool_t::stringpool_str25[sizeof("do")]

Definition at line 122 of file lex.c.

## ◆ stringpool_str26

char stringpool_t::stringpool_str26[sizeof("yield")]

Definition at line 123 of file lex.c.

## ◆ stringpool_str27

char stringpool_t::stringpool_str27[sizeof("for")]

Definition at line 124 of file lex.c.

## ◆ stringpool_str28

char stringpool_t::stringpool_str28[sizeof("undef")]

Definition at line 125 of file lex.c.

## ◆ stringpool_str29

char stringpool_t::stringpool_str29[sizeof("or")]

Definition at line 126 of file lex.c.

## ◆ stringpool_str30

char stringpool_t::stringpool_str30[sizeof("in")]

Definition at line 127 of file lex.c.

## ◆ stringpool_str31

char stringpool_t::stringpool_str31[sizeof("when")]

Definition at line 128 of file lex.c.

## ◆ stringpool_str32

char stringpool_t::stringpool_str32[sizeof("retry")]

Definition at line 129 of file lex.c.

## ◆ stringpool_str33

char stringpool_t::stringpool_str33[sizeof("if")]

Definition at line 130 of file lex.c.

## ◆ stringpool_str34

char stringpool_t::stringpool_str34[sizeof("case")]

Definition at line 131 of file lex.c.

## ◆ stringpool_str35

char stringpool_t::stringpool_str35[sizeof("redo")]

Definition at line 132 of file lex.c.

## ◆ stringpool_str36

char stringpool_t::stringpool_str36[sizeof("next")]

Definition at line 133 of file lex.c.

## ◆ stringpool_str37

char stringpool_t::stringpool_str37[sizeof("super")]

Definition at line 134 of file lex.c.

## ◆ stringpool_str38

char stringpool_t::stringpool_str38[sizeof("module")]

Definition at line 135 of file lex.c.

## ◆ stringpool_str39

char stringpool_t::stringpool_str39[sizeof("begin")]

Definition at line 136 of file lex.c.

## ◆ stringpool_str40

char stringpool_t::stringpool_str40[sizeof("__LINE__")]

Definition at line 137 of file lex.c.

## ◆ stringpool_str41

char stringpool_t::stringpool_str41[sizeof("__FILE__")]

Definition at line 138 of file lex.c.

## ◆ stringpool_str42

char stringpool_t::stringpool_str42[sizeof("__ENCODING__")]

Definition at line 139 of file lex.c.

## ◆ stringpool_str43

char stringpool_t::stringpool_str43[sizeof("END")]

Definition at line 140 of file lex.c.

## ◆ stringpool_str44

char stringpool_t::stringpool_str44[sizeof("alias")]

Definition at line 141 of file lex.c.

## ◆ stringpool_str45

char stringpool_t::stringpool_str45[sizeof("BEGIN")]

Definition at line 142 of file lex.c.

## ◆ stringpool_str46

char stringpool_t::stringpool_str46[sizeof("defined?")]

Definition at line 143 of file lex.c.

## ◆ stringpool_str47

char stringpool_t::stringpool_str47[sizeof("class")]

Definition at line 144 of file lex.c.

## ◆ stringpool_str50

char stringpool_t::stringpool_str50[sizeof("while")]

Definition at line 145 of file lex.c.

## ◆ stringpool_str8

char stringpool_t::stringpool_str8[sizeof("break")]

Definition at line 105 of file lex.c.

## ◆ stringpool_str9

char stringpool_t::stringpool_str9[sizeof("else")]

Definition at line 106 of file lex.c.

The documentation for this struct was generated from the following file:

- lex.c